> Reading about how to use the GDB to debug apache and using it I got
> the origin of the sigfault, it was in libcrypto.so that was called
> from digest/md5 from ruby.

This is a known problem that has been fixed.  If you upgrade ruby you
should be okay.  What version are you running?

> Probably with mod_perl and PHP something like that is the problem as
> well.

Same thing, different library.  Both of them embed expat and there are
terrible conflicts there... but I think that's been resolved as well
in the current versions of both of those pieces of software.

-sc

-- 
Sean Chittenden